import subprocess
import sys

info = subprocess.run(["cmus-remote", "-Q"], stdout=subprocess.PIPE).stdout.decode("utf-8").split("\n")

if len(info) > 1:
    if (sys.argv[1] if len(sys.argv) > 1 else "") != "":
        a_com = int(sys.argv[1])
        com = ""

        if a_com == 1:
            com = "-r"
        if a_com == 2:
            com = "-u"
        if a_com == 3:
            com = "-n"
        if a_com == 4:
            com = "+5%"
        if a_com == 5:
            com = "-5%"

        if a_com <= 3:
            subprocess.run(["cmus-remote", com])
        elif a_com <= 5:
            subprocess.run(["cmus-remote", "-v", com])

    info = subprocess.run(["cmus-remote", "-Q"], stdout=subprocess.PIPE).stdout.decode("utf-8").split("\n")

    volume = [x for x in info if "set vol_" in x]
    volume = (int(volume[0].lstrip("set vol_left ")) + int(volume[1].lstrip("set vol_right "))) / 2

    title = [x for x in info if "title" in x]
    if len(title) == 0:
        title = "-"
    else:
        title = title[0].lstrip("tag title ")

    artist = [x for x in info if "tag artist" in x]
    if len(artist) == 0:
        artist = "-"
    else:
        artist = artist[0].lstrip("tag artist ")

    if title == "-":
        filename = [x for x in info if "file " in x]
        if len(filename) == 0:
            filename = "-"
        else:
            filename = filename[0].lstrip("tag file ")

        filename = filename.split("/")
        filename = filename[len(filename) - 1]

        print("{} {}".format(filename, volume))
        print(filename)
    else:
        print("{}, {} {}".format(title, artist, volume))
        print(title)

    print("")
