import subprocess

def power_bar(resolution, a, b):
    bar = ""
    for i in range(resolution, b + resolution, resolution):
        if i <= a:
            bar += "="
        else:
            bar += "-"
    return bar

bat = subprocess.run(["cat", "/sys/class/power_supply/BAT0/capacity"], stdout=subprocess.PIPE).stdout.decode("utf-8")
ac = subprocess.run(["cat", "/sys/class/power_supply/ACAD/online"], stdout=subprocess.PIPE).stdout.decode("utf-8")
bat = int(bat)
ac = int(ac)

bar = power_bar(10, bat, 100)
color = ""

if ac == 1:
    color = "#fccf2d"
elif bat >= 75:
    color = "#00FF00"
elif bat >= 50:
    color = "#FFFF00"
elif bat >= 25:
    color = "#FF9900"
else:
    color = "#FF0000"

if bat < 6 and ac == 0:
    subprocess.run(["mpv", "--no-vid", "/home/syrup/resources/alert24.mp3"], stdout=subprocess.PIPE)

print(bar, bat)
print(bat)
print(color)
